<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	 <meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="https://code.highcharts.com/css/highcharts.css"/>		
<!--===============================================================================================-->
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

</head>
<body>
{% csrf_token %}
<div id="container1" style="width: 100%; height: auto; margin-right: 0 " align="right"></div>

<script src="{% static 'js/highstock.js'%}"></script>
 
<script>
// Variable to store the screen data which will draw the graph
var screen_name={{screen_name|safe}}

var country='{{country|safe}}'

var chart1=Highcharts.chart('container1', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Top 10 Users'
    },
    
    xAxis: {
	        type: 'category',

        labels: {
            rotation: -90,
            style: {
                fontSize: '13px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    },
    yAxis: {
        min: 0,
		allowDecimals:false,
        title: {
            text: 'Frequency'
        }
    },
    legend: {
        enabled: true
    },
    tooltip: {
        pointFormat: '{point.y:.0f}'
    },
	plotOptions: {
        series: {
            cursor: 'pointer',
            point: {
                events: {
                    click: function () {
					                    // Function to call on cliking of a graph column. Object.entries(this.series.data)[this.x][1]["name"] shows the value of column clicked 
			          src="http://35.226.69.237/"+country+"/timeline/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("timeline",src)
			           src="http://35.226.69.237:3838/?country="+country+"&min="+parseInt(parent.min).toString()+"&max="+parseInt(parent.max).toString()+"&top=screen"+"&word="+Object.entries(this.series.data)[this.x][1]["name"]+"&skip=0"
                      parent.loadIframe("chirp",src)

					  src="http://35.226.69.237/"+country+"/map/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("map",src)
                      src="http://35.226.69.237/"+country+"/virality/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
                      parent.loadIframe("topics",src)
	                  src="http://35.226.69.237/"+country+"/hashtags/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("hashtags",src)
                      src="http://35.226.69.237/"+country+"/mentions_screen_name/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("mentions_screen_name",src)
                      src="http://35.226.69.237/"+country+"/sentiments/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("sentiments",src)
					  src="http://35.226.69.237/"+country+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("twitter",src)
					  src="http://35.226.69.237/"+country+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/screen/"+Object.entries(this.series.data)[this.x][1]["name"]+"/"
					  parent.loadIframe("word-cloud",src)
					  parent.loadIframe("word-assoc","http://35.226.69.237/"+country+"/word/0/999999999999999/All/all/top/top/_")


				    }
                }
            }
        }
    },
    series: [{
        name: 'Top 10 Users',
        data: (screen_name),
        dataLabels: {
            enabled: true,
            rotation: -90,
            color: '#FFFFFF',
            align: 'right',
             y: 10, // 10 pixels down from the top
            style: {
                fontSize: '0px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    }]
});

	
	</script>

	
	
 
</body>
</html>
